#ifndef modifysplinetools_h_included
#define modifysplinetools_h_included
/***************************************************************************
 *                          Zanoza Modeler v2.x                            *
 *      This is unpublished propietary source code of Zanoza Software.     *
 *      The copyright notice does not evidence any actual or intended      *
 *                    publication of such source code.                     *
 *                                                                         *
 *                Copyright (c) 2002-2003 Zanoza Software.                 *
 *                                                                         *
 *                        All rights reserved.                             *
 ***************************************************************************
 *--------------------------------------------------------------------------
 * @author:   Oleg M.
 *--------------------------------------------------------------------------
 * @purpose:  ZModeler 2.x set of Modify tools
 *--------------------------------------------------------------------------
 * @histroy: 17.09.2003. Created
 */

#include <zmodeler.h>
#include <helpers/layout.h>

namespace core
{
  namespace tools
  {

    class CMakePointFirstTool : public CContextMenuToolEx
    {
    public:
      INTERFACE_DECLAREMAP(CMakePointFirstTool)
      CMakePointFirstTool();
      virtual ~CMakePointFirstTool();

    public:
      //---------------------------------------
      //    ITool
      //---------------------------------------
      ZRESULT apply(core::IProcParams* pParams = NULL, DWORD* pRetVal = NULL);
      virtual ZRESULT queryLayout(scene::INode* pNode, core::eLevel level, core::ui::IViewport* pViewport);

    protected:
      ZStdPtr<scene::INode>         m_pNode;
      ZStdPtr<scene::ISpline>       m_pSpline;
      ZStdPtr<scene::IControlPoint> m_pPoint;
    };//class
  };//tools
};//core

#endif //modifysplinetools_h_included

